[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.SetVisible

Sets the value for the Visible property.

## Declaration

Source position: forms.pp line 662

`protected procedure TCustomForm.SetVisible(`
`Value: Boolean`
`); override;`

## Arguments

`Value` |  | New value for the property.

## Description

SetVisible is an overridden method used to set the value for the Visible property. It ensures that FormState is updated to reflect the new value for the property. When set to True, fsVisible is included in the FormState property. Otherwise, fsVisible is excluded from FormState. No actions are performed in the method if FormState already already reflects the new value for the property.

SetVisible calls the inherited method to store the new property value, and to perform resizing and control messages as needed. The UpdateVisible method in Application is called to ensure that the application is visible in the task bar when one of its forms is visible.

## See also

TControl.SetVisible |  | Sets the value for the Visible property.